summaryrefslogtreecommitdiffstats
path: root/libraries/wxWidgets/wxWidgets.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/wxWidgets/wxWidgets.SlackBuild')
-rw-r--r--libraries/wxWidgets/wxWidgets.SlackBuild27
1 files changed, 16 insertions, 11 deletions
diff --git a/libraries/wxWidgets/wxWidgets.SlackBuild b/libraries/wxWidgets/wxWidgets.SlackBuild
index 183db041da..d0bd31f480 100644
--- a/libraries/wxWidgets/wxWidgets.SlackBuild
+++ b/libraries/wxWidgets/wxWidgets.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for wxWidgets
-# Copyright 2022 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# Copyright 2023 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=wxWidgets
-VERSION=${VERSION:-3.2.0}
+VERSION=${VERSION:-3.2.4}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -76,6 +76,15 @@ else
wk="OFF"
fi
+# BCS: check for NanoSVG
+test -f /usr/include/nanosvg/nanosvg.h
+case "${NANOSVG:-auto}" in
+ no|off) nanosvg=OFF ;;
+ yes|on) [ $? = 0 ] && nanosvg=sys || nanosvg=builtin ;;
+ auto) [ $? = 0 ] && nanosvg=sys || nanosvg=OFF ;;
+ internal) nanosvg=builtin ;;
+esac
+
set -e
rm -rf $PKG
@@ -91,15 +100,9 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
-#Official upstream patches to fix DESTDIR
-patch -p1 < $CWD/e4f230a.patch
-patch -p1 < $CWD/600bf54.patch
-
-#Fix wx-config to return the correct path
-if [ "$LIBDIRSUFFIX" != "" ]; then
-sed -i "89s/\/lib/\/lib${LIBDIRSUFFIX}/" $TMP/$PRGNAM-$VERSION/build/cmake/config.cmake
-fi
+sed -i "s|prefix}/lib|prefix}/lib$LIBDIRSUFFIX|" build/cmake/config.cmake
+if [ -z "$INTERFACE" ]; then
cmake -B build-gtk3 \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
@@ -114,7 +117,7 @@ cmake -B build-gtk3 \
-DwxUSE_LIBTIFF=sys \
-DwxUSE_LIBLZMA=sys \
-DwxUSE_LIBMSPACK=ON \
- -DwxUSE_NANOSVG=OFF \
+ -DwxUSE_NANOSVG=$nanosvg \
-DwxUSE_STL=$stl \
-DwxUSE_WEBVIEW_WEBKIT=$wk \
-DwxUSE_PRIVATE_FONTS=ON \
@@ -122,6 +125,7 @@ cmake -B build-gtk3 \
cmake --build build-gtk3
DESTDIR="$PKG" cmake --install build-gtk3
+elif [ "${INTERFACE:-gtk3}" = "qt" ]; then
cmake -B build-qt5 \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
@@ -143,6 +147,7 @@ cmake -B build-qt5 \
-DCMAKE_BUILD_TYPE=Release .
cmake --build build-qt5
DESTDIR="$PKG" cmake --install build-qt5
+fi
#Move librarys to their correct location and fix pkgconfig
if [ "$LIBDIRSUFFIX" != "" ]; then